Skip to content

Ap ​

79 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getOverviewDetailGETGet AP info
getAfcInfoGETGet AP AFC Status Info
getAfcConfigGETGet AP AFC config
modifyAfcConfigPUTModify AP AFC config
getAntSwitchConfigGETGet AP antSwitch setting
modifyAntSwitchConfigPUTModify AP antSwitch setting
getAntennaGainConfigGETGet AP antenna gain config
modifyAntennaGainConfigPATCHModify AP antenna gain config
getAvailableChannelOfApGETGet available channel list of AP
getApBridgeInfoGETGet P2P bridge config
modifyApBridgeInfoPATCHModify P2P bridge config
modifyApChannelConfigPUTModify AP channel config
getChannelLimitConfigGETGet AP channel limit config
modifyChannelLimitConfigPUTModify AP channel limit config
getGeneralConfig_2GETGet AP general config
modifyGeneralConfig_2PATCHModify AP general config
getGridMeshCandiParentsForAdoptGETGet the candidate parent AP of the mesh AP
getIpSettingConfigGETGet AP ip setting
modifyIpSettingConfigPATCHModify AP ip setting
getIpv6SettingConfigGETGet AP ipv6 setting
modifyIpv6SettingConfigPATCHModify AP ipv6 setting
getApL3AccessConfigGETGet AP l3Access config
getApLagConfigGETGet AP lag config
modifyApLagConfigPUTModify AP lag config
getLanDetailGETGet AP lan traffic info
getApLldpConfigGETGet AP lldp config
getApLoadBalanceConfigGETGet AP load balance config
modifyApLoadBalanceConfigPATCHModify AP load balance config
updateApLocationUseGpsPOSTUpdate AP location info use GPS
getApManagementSsidConfigGETGet AP management ssid config
modifyApManagementSsidConfigPUTModify AP management ssid config
getMeshStatisticsGETGet AP mesh statistics
getApOfdmaConfigGETGet AP OFDMA config
modifyApOfdmaConfigPATCHModify AP OFDMA config
getApP2pInfoGETGet P2P bridge group info
getParingWindowResultGETGet Paring Window Result
getApPortVlansGETGet AP current vlans config
getApPortListGETGet AP port list
modifyApPortPATCHModify AP port config
getPowerSavingConfigGETGet AP power saving config
modifyPowerSavingConfigPUTModify AP power saving config
getApQoSConfigGETGet AP qos config
modifyApQosConfigPATCHModify AP qos config
getRadiosConfigGETGet AP radio config
modifyRadiosConfigPATCHModify AP radio config
getRadiosDetailGETGet AP radio detail
getRFScanResultGETGet rf scan result (deprecated)
modifyApServicesConfigPATCHModify AP service config
getApSnmpConfigGETGet AP snmp config
getSpeedTestResultsGETGet speed test result
startParingWindowPOSTBridge AP Start Paring Window
triggerRadioFrequencyScanPOSTStart rf scan (deprecated)
triggerSpeedTestPOSTStart speed test
stopParingWindowPOSTBridge AP Stop Paring Window
getApTrunkSettingConfigGETGet AP trunk setting config
modifyApTrunkSettingConfigPATCHModify AP trunk setting config
getApUplinkConfigGETGet AP uplink config
modifyApUpLinkConfigPUTModify AP uplink config
getApVlanConfigGETGet AP vlan config (deprecated)
getDownlinkWiredDevicesGETGet AP downlink(wired) device list
getUplinkWiredDetailGETGet AP uplink(wired) detail
modifyApWlanGroupPATCHSwitch AP's wlan group
changeP2pRolePOSTChange p2p AP role
getApListChannelInfoPOSTGet ap list channel info.
batchModifyApLagConfigPUTBatch modify AP lag config
getMultiApPortListPOSTGet multiple APs port capability (deprecated)
batchModifyMultiApPortsPOSTBatch modify multiple APs port config
batchModifyAntSwitchConfigPUTBatch modify AP antSwitch setting
batchModifyPowerSavingConfigPUTBatch Modify ap power saving config
getMeshStatisticsForMspGETGet AP mesh statistics for MSP view
mspMoveToCustomer_3POSTMove site to target customer
getWlansConfigV2GETGet AP WLANs override config V2
modifyWlansConfigV2PATCHModify AP WLANs override config V2
getRFScanResultV2GETGet rf scan result v2
triggerRadioFrequencyScanV2POSTStart rf scan v2
getApVlanConfigV2GETGet AP vlan config v2
ModifyApVlanConfigPUTModify AP vlan config
batchModifyApVlanConfigPUTBatch modify AP vlan config
getAllApBriefInfosBySiteGETGet lock to AP brief APs

getOverviewDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}

Get AP info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOverviewDetail",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getAfcInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/afc

Get AP AFC Status Info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAfcInfo",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP AFC Status Info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getAfcConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/afc-config

Get AP AFC config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAfcConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP AFC config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyAfcConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/afc-config

Modify AP AFC config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateAfcConfigOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable AFC
json
// omada_call_operation
{
  "operationId": "modifyAfcConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP AFC config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getAntSwitchConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ant-switch

Get AP antSwitch setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAntSwitchConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP antSwitch setting
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyAntSwitchConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ant-switch

Modify AP antSwitch setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApAntSwitchConfig

FieldTypeRequiredDescription
antModeintegernoAntenna Mode. 0: Auto, 1: built-In, 2: Omni, 3: Custom
antSetting2gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting5gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting5g2AntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting6gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
json
// omada_call_operation
{
  "operationId": "modifyAntSwitchConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP antSwitch setting
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getAntennaGainConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/antenna-gain

Get AP antenna gain config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAntennaGainConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP antenna gain config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
-44205 - The device does not support this feature.

modifyAntennaGainConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/antenna-gain

Modify AP antenna gain config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApAnteGainConfig

FieldTypeRequiredDescription
anteGainListarray<UpdateApRadioAnteGainConfigOpenApiVO>noAntenna gain list.
json
// omada_call_operation
{
  "operationId": "modifyAntennaGainConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP antenna gain config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39303 - AP does not exist.
-44205 - The device does not support this feature.

getAvailableChannelOfAp ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/available-channel

Get available channel list of AP

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getAvailableChannelOfAp",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get available channel list of AP
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
-60004 - The device is not activated.

getApBridgeInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/bridge

Get P2P bridge config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApBridgeInfo",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get P2P bridge config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyApBridgeInfo ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/bridge

Modify P2P bridge config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApBridgeConfig

FieldTypeRequiredDescription
bridgeSsidNamestringnoBridge SSID name. It should contain 1 to 32 UTF-8 characters.
bridgeSsidPasswordstringnoBridge SSID password. It should contain 8-63 printable ASCII characters.
hwSwitchintegernoBridge DIP Switch config status. 0: disable, 1: enable.
tdmaConfigApBridgeTdmaConfigVOno(ApBridgeTdmaConfigVO not expanded; call omada_get_schema "ApBridgeTdmaConfigVO")
json
// omada_call_operation
{
  "operationId": "modifyApBridgeInfo",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify P2P bridge config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyApChannelConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/channel-config

Modify AP channel config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApChannelConfigOpenApiVO

FieldTypeRequiredDescription
radioIdintegeryes(Wireless) Radio ID should be a value as follows: 0: 2.4GHz; 1: 5GHz(5GHz-1); 2: 5GHz-2; 3: 6GHz.
radioEnablebooleanyesEnable/Disable radio setting(if false, other params is not required)
channelintegernoRadios-Channel config; The channel list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.
channelWidthintegernoRadios-Channel width config; The channelWidth list supported by device can be obtained from interface : Get available channel list of ap; If select auto configuration need to enter 0.
json
// omada_call_operation
{
  "operationId": "modifyApChannelConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP channel config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getChannelLimitConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/channel-limit

Get AP channel limit config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getChannelLimitConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP channel limit config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyChannelLimitConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/channel-limit

Modify AP channel limit config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateChannelLimitConfigOpenApiVO

FieldTypeRequiredDescription
channelLimitTypeintegeryesChannel limit enable status. It should be a value as follows: 0: default, 1: false, 2: true.
json
// omada_call_operation
{
  "operationId": "modifyChannelLimitConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP channel limit config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getGeneralConfig_2 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/general-config

Get AP general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getGeneralConfig_2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP general config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyGeneralConfig_2 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/general-config

Modify AP general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApGeneralConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
ledSettingintegernoLed setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings.
remoteResetbooleannoWhether the remote reset function is enabled.
wifiControlEnablebooleannoWhether the wifi Control function is enabled.
rssiLedSettingsarray<ApRssiLedSettingVO>noRssi Led Setting.
tagIdsarray<string>noTag IDs.
gpsEnablebooleannogps Enable only for ap which support gps function.
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
rememberDeviceintegernoParameter [rememberDevice] should be a value as follows: 0:off; 1:on; 2:Use Site Settings.
disableHwResetbooleannoWhen this value is [true], the device's hardware reset is invalid.(Only some specific devices support this feature)
json
// omada_call_operation
{
  "operationId": "modifyGeneralConfig_2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP general config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getGridMeshCandiParentsForAdopt ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/grid/mesh/candiParents

Get the candidate parent AP of the mesh AP

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridMeshCandiParentsForAdopt",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get the candidate parent AP of the mesh AP, call before adoption.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-39321 - The candidate uplink AP does not exist. Please refresh the page and choose another one.

getIpSettingConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ip-setting

Get AP ip setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getIpSettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP IP setting
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyIpSettingConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ip-setting

Modify AP ip setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApIPSetting

FieldTypeRequiredDescription
modestringyesMode should be a value as follows: Static; DHCP
dhcpIpSettingdhcp ip setting entityno(dhcp ip setting entity not expanded; call omada_get_schema "dhcp ip setting entity")
staticIpSettingstatic ip setting entityno(static ip setting entity not expanded; call omada_get_schema "static ip setting entity")
json
// omada_call_operation
{
  "operationId": "modifyIpSettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP IP setting
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getIpv6SettingConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ipv6-setting

Get AP ipv6 setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getIpv6SettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP ipv6 setting, the AP should support ipv6
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyIpv6SettingConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ipv6-setting

Modify AP ipv6 setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApIPv6Setting

FieldTypeRequiredDescription
ipv6Enablebooleanyesipv6 enable
modestringnoMode should be a value as follows: static; dynamic
dynamicIpv6Settingdynamic ipv6 setting entityno(dynamic ipv6 setting entity not expanded; call omada_get_schema "dynamic ipv6 setting entity")
staticIpv6Settingstatic ipv6 setting entityno(static ipv6 setting entity not expanded; call omada_get_schema "static ipv6 setting entity")
json
// omada_call_operation
{
  "operationId": "modifyIpv6SettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP ipv6 setting, the AP should support ipv6. Ensure the configuration is correct. Otherwise the device may be unable to connect to the Controller and require a factory reset.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getApL3AccessConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/l3access

Get AP l3Access config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApL3AccessConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP l3Access config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getApLagConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/lag

Get AP lag config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApLagConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP lag config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApLagConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/lag

Modify AP lag config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApTrunkSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleannoWhether the device enables LAG. The following situations cause port aggregation to be ineffective: 1. When a specific Uplink Port is selected. 2. When PoE Out is enabled on target ports. 3. When Custom VLAN configurations is configured on target ports. 4. When Status is disabled on target ports.
modeintegernoLAG mode. Mode should be a value as follows: 0:SRC MAC + DST MAC; 1:DST MAC; 2:SRC MAC.
json
// omada_call_operation
{
  "operationId": "modifyApLagConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP lag config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

getLanDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/lan-traffic-info

Get AP lan traffic info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getLanDetail",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP lan traffic info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getApLldpConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/lldp

Get AP lldp config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApLldpConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP lldp config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getApLoadBalanceConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/load-balance

Get AP load balance config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApLoadBalanceConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP load balance config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApLoadBalanceConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/load-balance

Modify AP load balance config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApAdvancedLoadBalanceOpenApiVO

FieldTypeRequiredDescription
maxClientsEnable2gbooleannoWhether the device enable maximum associated clients 2g.
maxClients2gintegernoThe maximum number of clients connected to the 2G band. MaxClients2g should be within the range of 1–512.
rssiEnable2gbooleannoWhether the device enable rssi 2g.
threshold2gintegernoThe RSSI threshold for the 2G band. threshold2g should be within the range of -95–0.
maxClientsEnable5gbooleannoWhether the device enable maximum associated clients 5g.
maxClients5gintegernoThe maximum number of clients connected to the 5G band. MaxClients5g should be within the range of 1–512.
rssiEnable5gbooleannoWhether the device enable rssi 5g.
threshold5gintegernoThe RSSI threshold for the 5G band. threshold5g should be within the range of -95–0.
maxClientsEnable5g1booleannoWhether the device enable load balance 5g1.
maxClients5g1integernoThe maximum number of clients connected to the 5G1 band. MaxClients5g1 should be within the range of 1–512.
rssiEnable5g1booleannoWhether the device enable rssi 5g1.
threshold5g1integernoThe RSSI threshold for the 5G1 band. threshold5g1 should be within the range of -95–0.
maxClientsEnable5g2booleannoWhether the device enable maximum associated clients 5g2.
maxClients5g2integernoThe maximum number of clients connected to the 5G2 band. MaxClients5g2 should be within the range of 1–512.
rssiEnable5g2booleannoWhether the device enable rssi 5g2.
threshold5g2integernoThe RSSI threshold for the 5G2 band. threshold5g2 should be within the range of -95–0.
maxClientsEnable6gbooleannoWhether the device enable maximum associated clients 6g.
maxClients6gintegernoThe maximum number of clients connected to the 6G band. MaxClients6g should be within the range of 1–512.
rssiEnable6gbooleannoWhether the device enable rssi 6g.
threshold6gintegernoThe RSSI threshold for the 6G band. threshold6g should be within the range of -95–0.
json
// omada_call_operation
{
  "operationId": "modifyApLoadBalanceConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP load balance config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

updateApLocationUseGps ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/location-gps

Update AP location info use GPS

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "updateApLocationUseGps",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Update AP location info use GPS, only support gps function aps can get valid data.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-39358 - The AP failed to get valid location information from the GPS module.

getApManagementSsidConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/management-wlan

Get AP management ssid config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApManagementSsidConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP management ssid config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

modifyApManagementSsidConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/management-wlan

Modify AP management ssid config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApManagementSsidConfig

FieldTypeRequiredDescription
statusbooleanyesSSID config status. True: enable, false: disable.
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
pskSettingApMgtSsidPskSettingOpenApiVOno(ApMgtSsidPskSettingOpenApiVO not expanded; call omada_get_schema "ApMgtSsidPskSettingOpenApiVO")
entSettingApMgtSsidEnterpriseSettingOpenApiVOno(ApMgtSsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "ApMgtSsidEnterpriseSettingOpenApiVO")
vlanSettingApMgtSsidVlanSettingOpenApiVOno(ApMgtSsidVlanSettingOpenApiVO not expanded; call omada_get_schema "ApMgtSsidVlanSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyApManagementSsidConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP management ssid config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getMeshStatistics ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/mesh/statistics

Get AP mesh statistics

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getMeshStatistics",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP mesh statistics
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getApOfdmaConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ofdma

Get AP OFDMA config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApOfdmaConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP OFDMA config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyApOfdmaConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ofdma

Modify AP OFDMA config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApOfdmaConfigOpenApiVO

FieldTypeRequiredDescription
ofdmaEnable2gbooleannoAdvanced feature OFDMA 2G config status. True: enable, false: disable.
ofdmaEnable5gbooleannoAdvanced feature OFDMA 5G1 config status. True: enable, false: disable.
ofdmaEnable5g2booleannoAdvanced feature OFDMA 5G2 config status. True: enable, false: disable.
ofdmaEnable6gbooleannoAdvanced feature OFDMA 6G config status. True: enable, false: disable.
json
// omada_call_operation
{
  "operationId": "modifyApOfdmaConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP OFDMA config; If the device does not support this feature, it cannot be modified successfully.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getApP2pInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/p2pInfo

Get P2P bridge group info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApP2pInfo",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get P2P bridge group info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getParingWindowResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/paring-window-result

Get Paring Window Result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getParingWindowResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get Paring Window Result
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getApPortVlans ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/port-vlans

Get AP current vlans config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getApPortVlans",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

get AP current vlans config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getApPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ports

Get AP port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApPortList",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApPort ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/ports/{port}

Modify AP port config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesap port

Request body — application/json (required) — schema Modify AP LAN Port

FieldTypeRequiredDescription
lanPortstringnolanPort
namestringnoport name
statusbooleannoport status, true: enable; false: disable
localVlanEnablebooleannovlan status, true: enable; false: disable
localVlanIdintegernoport vlan id
localVlanNetworkIdstringnolocal vlan network Id
poeOutEnablebooleannopoe out status, true: enable; false: disable
custombooleannocustom
taggedstringnotagged
untaggedstringnountagged
taggedNetworkIdarray<string>novlan tagged NetworkId
untaggedNetworkIdarray<string>novlan untagged NetworkId
bandwidthControlEnablebooleannobandwidth Control status
ingressRateLimitONUPortRateLimitVOno(ONUPortRateLimitVO not expanded; call omada_get_schema "ONUPortRateLimitVO")
egressRateLimitONUPortRateLimitVOno(ONUPortRateLimitVO not expanded; call omada_get_schema "ONUPortRateLimitVO")
json
// omada_call_operation
{
  "operationId": "modifyApPort",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP port config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39051 - Operation failed. Please try again later.
-39303 - AP does not exist.
-39348 - This AP port vlanId can not be same as the exist default LanNetwork profile.

getPowerSavingConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/power-saving

Get AP power saving config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPowerSavingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP power saving config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyPowerSavingConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/power-saving

Modify AP power saving config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApPowerSavingConfigOpenApiVO

FieldTypeRequiredDescription
modeintegernoParameter [mode] is Power Saving Mode of device and should not be null. 0: OFF, 1: Standard( based on the user‑specified time and/or band settings ), 2: Smart, 3: Deep Power‑Saving
timeEnablebooleannoParameter [timeEnable] can be TRUE only when [mode] = 1. Power Saving trigger by time config status. True: enable, false: disable.
startTimeHintegernoStart time of trigger by time(unit: hour); It should be within the range of 0–23; This field is required when Parameter [timeEnable] is true.
startTimeMintegernoStart time of trigger by time(unit: minute); It should be within the range of 0–59; This field is required when Parameter [timeEnable] is true.
endTimeHintegernoEnd time of trigger by time(unit: hour); It should be within the range of 0–23; This field is required when Parameter [timeEnable] is true.
endTimeMintegernoEnd time of trigger by time(unit: minute); It should be within the range of 0–59; This field is required when Parameter [timeEnable] is true.
bandEnablebooleannoParameter [bandEnable] can be TRUE only when [mode] = 1. Power Saving trigger by band config status. True: enable, false: disable.
bandsarray<integer>noSelect bands list config of trigger by band;It should be a value as follows: 0: 2.4GHz; 1: 5GHz; 2: 5G2Hz; 3: 6GHz;This field is required when Parameter [bandEnable] is true;Please note that the band filled in must be supported by the device, otherwise the modified configuration will not take effect properly
idleDurationintegernoIdle duration config of trigger by band(unit: minute); It should be within the range of 60–1440; This field is required when Parameter [bandEnable] is true.
json
// omada_call_operation
{
  "operationId": "modifyPowerSavingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP power saving config; If the device does not support this feature, it cannot be modified successfully.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
-44205 - The device does not support this feature.

getApQoSConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/qos

Get AP qos config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApQoSConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP qos config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApQosConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/qos

Modify AP qos config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ModifyApAdvancedQosOpenApiVO

FieldTypeRequiredDescription
deliveryEnable2gbooleannoWhether Unscheduled Automatic Power Save Delivery enabled in 2.4GHz.
deliveryEnable5gbooleannoWhether Unscheduled Automatic Power Save Delivery enabled in the entire band of 5GHz. If the device supports 5GHz but does not support frequency division, you need to enter this field.
deliveryEnable5g1booleannoWhether Unscheduled Automatic Power Save Delivery enabled in 5GHz-1. 5GHZ-1 is the first part of the 5GHz band. This field is required if the device supports 5GHz and frequency splitting.
deliveryEnable5g2booleannoWhether Unscheduled Automatic Power Save Delivery enabled in 5GHz-2. 5GHZ-2 is the second part of the 5GHz band. This field is required if the device supports 5GHz and frequency splitting.
deliveryEnable6gbooleannoWhether Unscheduled Automatic Power Save Delivery enabled in 6GHz.
json
// omada_call_operation
{
  "operationId": "modifyApQosConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP qos config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

getRadiosConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/radio-config

Get AP radio config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getRadiosConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP radio config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyRadiosConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/radio-config

Modify AP radio config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApRadiosConfig

FieldTypeRequiredDescription
radioSetting2gApRadioSettingno(ApRadioSetting not expanded; call omada_get_schema "ApRadioSetting")
radioSetting5gApRadioSettingno(ApRadioSetting not expanded; call omada_get_schema "ApRadioSetting")
radioSetting5g1ApRadioSettingno(ApRadioSetting not expanded; call omada_get_schema "ApRadioSetting")
radioSetting5g2ApRadioSettingno(ApRadioSetting not expanded; call omada_get_schema "ApRadioSetting")
radioSetting6gApRadioSettingno(ApRadioSetting not expanded; call omada_get_schema "ApRadioSetting")
json
// omada_call_operation
{
  "operationId": "modifyRadiosConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP radio config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getRadiosDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/radios

Get AP radio detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getRadiosDetail",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP radio detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getRFScanResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/rf-scan-result

Deprecated

This operation is deprecated.

Get rf scan result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getRFScanResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get rf scan result. This interface has been deprecated. Please use the following interface instead: Get rf scan result v2.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34808 - This AP is not connected.

modifyApServicesConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/service-config

Modify AP service config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApServicesConfigOpenApiVO

FieldTypeRequiredDescription
mvlanSettingApMvlanSettingOpenApiVOno(ApMvlanSettingOpenApiVO not expanded; call omada_get_schema "ApMvlanSettingOpenApiVO")
snmpApSnmpVOno(ApSnmpVO not expanded; call omada_get_schema "ApSnmpVO")
l3AccessSettingApL3AccessVOno(ApL3AccessVO not expanded; call omada_get_schema "ApL3AccessVO")
lldpEnableintegernoParameter [lldpEnable] should be a value as follows: 0:off; 1:on; 2:Use Site Settings.
loopbackDetectEnablebooleannoWhether to enable loopback detection.
voipVlanSettingApVoipVlanSettingOpenApiVOno(ApVoipVlanSettingOpenApiVO not expanded; call omada_get_schema "ApVoipVlanSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyApServicesConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP service config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
-44205 - The device does not support this feature.
-60004 - The device is not activated.

getApSnmpConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/snmp

Get AP snmp config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApSnmpConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP snmp config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getSpeedTestResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/speed-test-result

Get speed test result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSpeedTestResults",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get the test results of the speed from device [apMac].(Only for P2P device)
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39360 - The current AP’s firmware does not support the link speed test. Please update its firmware and try again.

startParingWindow ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/start-paring-window

Bridge AP Start Paring Window

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "startParingWindow",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Bridge AP Start Paring Window
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

triggerRadioFrequencyScan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/start-rf-scan

Deprecated

This operation is deprecated.

Start rf scan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "triggerRadioFrequencyScan",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Wi-Fi connection will lost for several minutes during the scanning. Please select a spare time of network to start scanning. This interface has been deprecated. Please use the following interface instead: Start rf scan v2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34800 - No SSIDs are configured on the corresponding radio band.
-34802 - RF scan failed. Please turn on the radio.
-34803 - The AP is performing WLAN optimization. Please try again later.
-34808 - This AP is not connected.
-34809 - This AP does not support RF Scanning.
-34810 - Mesh APs do not support RF Scanning.

triggerSpeedTest ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/start-speed-test

Start speed test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SpeedTestCommand

FieldTypeRequiredDescription
childMacstringyesThe parameter [childMac] can be the MAC address of the Main AP or Client AP. Ensure that the two devices to be tested are in a Main-Client relationship.
json
// omada_call_operation
{
  "operationId": "triggerSpeedTest",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

The speed test is initiated by device [apMac]. Different MAC addresses indicates a different speed test.(Only for P2P device)
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34817 - Failed to start speedTest, the Main AP is not in CONNECTED, The device connection is unstable.
-34818 - Failed to start speedTest, the Client AP is not in CONNECTED, The device connection is unstable.
-39344 - The Main AP already in speed testing.
-39360 - The current AP’s firmware does not support the link speed test. Please update its firmware and try again.
-39362 - Mesh configurations of the device is lost. Please try to forget and then adopt it again.
-39365 - The Client AP’s firmware does not support the link speed test.(From the Main to the Client) Please update its firmware and try again.
-39366 - The Main AP’s firmware does not support the link speed test.(From Client to Main) Please update its firmware and try again.

stopParingWindow ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/stop-paring-window

Bridge AP Stop Paring Window

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "stopParingWindow",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Bridge AP Stop Paring Window
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getApTrunkSettingConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/trunk-setting

Get AP trunk setting config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApTrunkSettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP trunk setting (LAG) config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApTrunkSettingConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/trunk-setting

Modify AP trunk setting config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApTrunkSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleannoWhether the device enables LAG. The following situations cause port aggregation to be ineffective: 1. When a specific Uplink Port is selected. 2. When PoE Out is enabled on target ports. 3. When Custom VLAN configurations is configured on target ports. 4. When Status is disabled on target ports.
modeintegernoLAG mode. Mode should be a value as follows: 0:SRC MAC + DST MAC; 1:DST MAC; 2:SRC MAC.
json
// omada_call_operation
{
  "operationId": "modifyApTrunkSettingConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP trunk setting (LAG) config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

getApUplinkConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/uplink-config

Get AP uplink config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApUplinkConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP uplink config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

modifyApUpLinkConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/uplink-config

Modify AP uplink config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApUplinkConfigOpenApiVO

FieldTypeRequiredDescription
autobooleanyesuplink auto
portstringnoport id
json
// omada_call_operation
{
  "operationId": "modifyApUpLinkConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP uplink config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39051 - Operation failed. Please try again later.
-39303 - AP does not exist.

getApVlanConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/vlan

Deprecated

This operation is deprecated.

Get AP vlan config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApVlanConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP vlan config. This interface has been deprecated. Please use the following interface instead: Get AP vlan config v2.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getDownlinkWiredDevices ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/wired-downlink

Get AP downlink(wired) device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getDownlinkWiredDevices",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP downlink(wired) device list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-1005 - Operation forbidden.
-39303 - AP does not exist.

getUplinkWiredDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/wired-uplink

Get AP uplink(wired) detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getUplinkWiredDetail",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP uplink(wired) detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyApWlanGroup ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/wlan-group

Switch AP's wlan group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApUpdateWlanGroupOpenApiVO

FieldTypeRequiredDescription
wlanGroupIdstringyesThe wlan group Id that the AP should switch to, must be in the same site as the AP and cannot be the current wlan group.
json
// omada_call_operation
{
  "operationId": "modifyApWlanGroup",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Switch AP's wlan group
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

changeP2pRole ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/change-role

Change p2p AP role

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ChangeP2pRole

FieldTypeRequiredDescription
mainMacstringyesMain ap's mac address
clientMacstringyesClient ap's mac address
json
// omada_call_operation
{
  "operationId": "changeP2pRole",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Switch p2p AP role from main to client or client to main.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39050 - This device does not exist.
-39352 - The current firmware of the Main AP does not support role changing.
-39354 - Cannot change roles when multiple Client APs are connected to the Main AP.

getApListChannelInfo ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/channel-info

Get ap list channel info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AP MAC list

FieldTypeRequiredDescription
macListarray<string>noAp mac list
json
// omada_call_operation
{
  "operationId": "getApListChannelInfo",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get ap list channel info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

batchModifyApLagConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/aps/lag

Batch modify AP lag config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchUpdateApLagOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>yesAP mac list
enablebooleannoWhether the device enables LAG. The following situations cause port aggregation to be ineffective: 1. When a specific Uplink Port is selected. 2. When PoE Out is enabled on target ports. 3. When Custom VLAN configurations is configured on target ports. 4. When Status is disabled on target ports.
modeintegernoLAG mode. Mode should be a value as follows: 0:SRC MAC + DST MAC; 1:DST MAC; 2:SRC MAC.
json
// omada_call_operation
{
  "operationId": "batchModifyApLagConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify AP lag config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
-44205 - The device does not support this feature.
-60004 - The device is not activated.

getMultiApPortList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/ports/capability

Deprecated

This operation is deprecated.

Get multiple APs port capability

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MultiApPortCapOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>yesAP mac list
json
// omada_call_operation
{
  "operationId": "getMultiApPortList",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get port capability information for multiple APs. This interface has been deprecated.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39050 - This device does not exist.
-39749 - To modify AP port configurations in batches, select APs of the same model.

batchModifyMultiApPorts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/ports/config

Batch modify multiple APs port config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchUpdateMultiApPortsOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>yesAP mac list
lanPortListarray<string>yesThe list of ap ports which are configured in batches.
namestringnoPort name
statusbooleannoPort status
localVlanEnablebooleannoSpecifies whether to enable the port.
localVlanIdintegernoLocal vlan ID should be within the range of 1-4094, which has a value only if Status is true.
localVlanNetworkIdstringnoThe ID of the LAN network profile selected for the port.
poeOutEnablebooleannoWhether to enable poe out.
custombooleannoWhether to enter a tagged vlan customically. Enter the VLAN ID manually if it is true. and select LAN network profile if it is false.
taggedstringnoTagged vlan list, it must be present when custom is true.
untaggedstringnoUntagged vlan list, it must be present when custom is true. Two data cannot be duplicated.
taggedNetworkIdarray<string>noThe Id list of the tagged vlan network profile, it must be present when custom is true.
untaggedNetworkIdarray<string>noThe Id list of the untagged vlan network profile, it must be present when custom is true.
bandwidthControlEnablebooleannoWhether to enable bandwidthControl.
ingressRateLimitONUPortRateLimitVOno(ONUPortRateLimitVO not expanded; call omada_get_schema "ONUPortRateLimitVO")
egressRateLimitONUPortRateLimitVOno(ONUPortRateLimitVO not expanded; call omada_get_schema "ONUPortRateLimitVO")
json
// omada_call_operation
{
  "operationId": "batchModifyMultiApPorts",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify multiple APs port config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-39051 - Operation failed. Please try again later.
-39303 - AP does not exist.
-39348 - This AP port vlanId can not be same as the exist default LanNetwork profile.
-39759 - Cannot batch configure AP ports since one or several selected APs do not have a downlink port.

batchModifyAntSwitchConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/aps/config/ant-switch

Batch modify AP antSwitch setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchUpdateApAntSwitchOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>no
antModeintegerno
antSetting2gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting5gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting5g2AntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
antSetting6gAntSwitchRadioConfigno(AntSwitchRadioConfig not expanded; call omada_get_schema "AntSwitchRadioConfig")
json
// omada_call_operation
{
  "operationId": "batchModifyAntSwitchConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify AP antSwitch setting
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-60004 - The device is not activated.

batchModifyPowerSavingConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/cmd/aps/config/power-saving

Batch Modify ap power saving config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchUpdateApPowerSavingConfigOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>yesAP mac list
modeintegernoParameter [mode] is Power Saving Mode of device and should not be null. 0: OFF, 1: Standard( based on the user‑specified time and/or band settings ), 2: Smart, 3: Deep Power‑Saving
timeEnablebooleannoPower Saving trigger by time config status. True: enable, false: disable.
startTimeHintegernoStart time of trigger by time(unit: hour); It should be within the range of 0–23; This field is required when Parameter [timeEnable] is true.
startTimeMintegernoStart time of trigger by time(unit: minute); It should be within the range of 0–59; This field is required when Parameter [timeEnable] is true.
endTimeHintegernoEnd time of trigger by time(unit: hour); It should be within the range of 0–23; This field is required when Parameter [timeEnable] is true.
endTimeMintegernoEnd time of trigger by time(unit: minute); It should be within the range of 0–59; This field is required when Parameter [timeEnable] is true.
bandEnablebooleannoParameter [bandEnable] can be TRUE only when [mode] = 1. Power Saving trigger by band config status. True: enable, false: disable.
bandsarray<integer>noSelect bands list config of trigger by band;It should be a value as follows: 0: 2.4GHz; 1: 5GHz; 2: 5G2Hz; 3: 6GHz;This field is required when Parameter [bandEnable] is true;Please note that the band filled in must be supported by the device, otherwise the modified configuration will not take effect properly
idleDurationintegernoIdle duration config of trigger by band(unit: minute); It should be within the range of 60–1440; This field is required when Parameter [bandEnable] is true.
json
// omada_call_operation
{
  "operationId": "batchModifyPowerSavingConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Modify ap power saving config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39303 - AP does not exist.
-60004 - The device is not activated.

getMeshStatisticsForMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/aps/{apMac}/mesh/statistics

Get AP mesh statistics for MSP view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getMeshStatisticsForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP mesh statistics for MSP view
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

mspMoveToCustomer_3 ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/aps/move

Move site to target customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToCustomerOpenApiVO

FieldTypeRequiredDescription
deviceMacsarray<string>noMac adress of the device.
deviceMacstringnoMac adress of the device. If [deviceMac] is not empty, it takes effect with a higher priority than [deviceMacs].
customerstringyesTarget customer id.
sitestringyesTarget site id.
json
// omada_call_operation
{
  "operationId": "mspMoveToCustomer_3",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move site to target customer
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33421 - The gateway model in the target site is different from the gateway model configured in the WAN Settings Overrides in the original site.
-39034 - Failed to move this site because the devices are upgrading.
-39035 - Failed to move this site because the devices are rebooting.
-39036 - Failed to move this site because the devices are synchronizing configurations.
-39037 - Failed to move this site because the devices are provisioning.
-39050 - This device does not exist.
-44261 - The device does not support cluster and can only be adopted to its own site.

getWlansConfigV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/override

Get AP WLANs override config V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getWlansConfigV2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP WLANs override config.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

modifyWlansConfigV2 ​

PATCH /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/override

Modify AP WLANs override config V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ApSsidOverrideOpenApiV2VO

FieldTypeRequiredDescription
ssidOverridesarray<SsidOverrideOpenApiV2VO>yesSsidOverride Config List
json
// omada_call_operation
{
  "operationId": "modifyWlansConfigV2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP WLANs override config.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getRFScanResultV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/rf-scan-result

Get rf scan result v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getRFScanResultV2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get rf scan result v2
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34808 - This AP is not connected.

triggerRadioFrequencyScanV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/start-rf-scan

Start rf scan v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema RFScanCommand

FieldTypeRequiredDescription
radioIdListarray<integer>noParameter [radioIdList] indicates the set of frequency bands for radio frequency scan. The value range of each element in the list should be between 0 and 3. 0: 2.4GHz, 1: 5GHz, 2: 5GHz-2, 3: 6GHz. This parameter takes effect only when the device supports selecting bands for radio frequency scan; If the device does not support selecting bands, or if this parameter is not passed or is an empty list, the device will perform radio frequency scan for all its frequency bands.
json
// omada_call_operation
{
  "operationId": "triggerRadioFrequencyScanV2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Wi-Fi connection will lost for several minutes during the scanning. Please select a spare time of network to start scanning.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34800 - No SSIDs are configured on the corresponding radio band.
-34802 - RF scan failed. Please turn on the radio.
-34803 - The AP is performing WLAN optimization. Please try again later.
-34808 - This AP is not connected.
-34809 - This AP does not support RF Scanning.
-34810 - Mesh APs do not support RF Scanning.
-34824 - Rogue AP scanning... Please wait.

getApVlanConfigV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/vlan

Get AP vlan config v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getApVlanConfigV2",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get AP vlan config v2
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

ModifyApVlanConfig ​

PUT /openapi/v2/{omadacId}/sites/{siteId}/aps/{apMac}/vlan

Modify AP vlan config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema UpdateApVlanOpenApiVO

FieldTypeRequiredDescription
mvlanSettingApMvlanSettingOpenApiVOno(ApMvlanSettingOpenApiVO not expanded; call omada_get_schema "ApMvlanSettingOpenApiVO")
voipVlanSettingApVoipVlanSettingOpenApiVOno(ApVoipVlanSettingOpenApiVO not expanded; call omada_get_schema "ApVoipVlanSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "ModifyApVlanConfig",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify AP vlan config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39051 - Operation failed. Please try again later.
-39303 - AP does not exist.
-39346 - The default LanNetwork cannot be selected for AP management vlan configuration.

batchModifyApVlanConfig ​

PUT /openapi/v2/{omadacId}/sites/{siteId}/aps/vlan

Batch modify AP vlan config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchUpdateApVlanOpenApiVO

FieldTypeRequiredDescription
apMacListarray<string>yesAP mac list
mvlanSettingApMvlanSettingOpenApiVOno(ApMvlanSettingOpenApiVO not expanded; call omada_get_schema "ApMvlanSettingOpenApiVO")
voipVlanSettingApVoipVlanSettingOpenApiVOno(ApVoipVlanSettingOpenApiVO not expanded; call omada_get_schema "ApVoipVlanSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "batchModifyApVlanConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify AP vlan config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39051 - Operation failed. Please try again later.
-39303 - AP does not exist.
-39346 - The default LanNetwork cannot be selected for AP management vlan configuration.

getAllApBriefInfosBySite ​

GET /openapi/v2/{omadacId}/sites/{siteId}/lockToAp/aps

Get lock to AP brief APs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllApBriefInfosBySite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get lock to AP brief APs
The interface requires one of the permissions:
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.